Package org.apache.catalina.tribes

## Interface MembershipProvider

- All Known Implementing Classes:
    `CloudMembershipProvider`, `DNSMembershipProvider`, `KubernetesMembershipProvider`, `McastServiceImpl`, `MembershipProviderBase`, `StaticMembershipProvider`

      public interface MembershipProvider

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Member` | `getMember​(Member mbr)` |
    `Member[]` | `getMembers()` |
    `boolean` | `hasMembers()` |
    `void` | `init​(java.util.Properties properties)` |
    `void` | `setMembershipListener​(MembershipListener listener)` |
    `void` | `setMembershipService​(MembershipService service)` |
    `void` | `start​(int level)` |
    `boolean` | `stop​(int level)` |

- - ### Method Detail

    - #### init

          void init​(java.util.Properties properties)
             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### start

          void start​(int level)
              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### stop

          boolean stop​(int level)
                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### setMembershipListener

          void setMembershipListener​(MembershipListener listener)

    - #### setMembershipService

          void setMembershipService​(MembershipService service)

    - #### hasMembers

          boolean hasMembers()

    - #### getMember

          Member getMember​(Member mbr)

    - #### getMembers

          Member[] getMembers()